package com.project.zcustom.tools;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "apiurl")
public class ApiUrlConfig {
    // 服务保障中心接口地址
    private static String serviceUrl;
    public static String getServiceUrl() {
        return serviceUrl;
    }
    public void setServiceUrl(String serviceUrl) {
        ApiUrlConfig.serviceUrl = serviceUrl;
    }

    // 后勤运行监控中心接口地址
    private static String logisticsUrl;

    public static String getLogisticsUrl() {
        return logisticsUrl;
    }

    public void setLogisticsUrl(String logisticsUrl) {
        ApiUrlConfig.logisticsUrl = logisticsUrl;
    }

    // 楼宇运行监控左半部 接口前缀
    private static String controlApiUrl;
    public static String getControlApiUrl() {
        return controlApiUrl;
    }
    public void setControlApiUrl(String controlApiUrl) {
        ApiUrlConfig.controlApiUrl = controlApiUrl;
    }

    // 楼宇中控 楼宇本周用电量
    private static String controlElectricity;
    public static String getControlElectricity() {
        return ApiUrlConfig.controlApiUrl + controlElectricity;
    }
    public void setControlElectricity(String controlElectricity) {
        ApiUrlConfig.controlElectricity = controlElectricity;
    }

    // 楼宇中控 楼宇本周用电量机房总用电量
    private static String controlElectricityRoom;
    public static String getControlElectricityRoom() {
        return ApiUrlConfig.controlApiUrl + controlElectricityRoom;
    }
    public  void setControlElectricityRoom(String controlElectricityRoom) {
        ApiUrlConfig.controlElectricityRoom = controlElectricityRoom;
    }

    // 楼宇中控 楼宇本周用电量明细
    private static String controlElectricityDetail;
    public static String getControlElectricityDetail() {
        return ApiUrlConfig.controlApiUrl + controlElectricityDetail;
    }
    public  void setControlElectricityDetail(String controlElectricityDetail) {
        ApiUrlConfig.controlElectricityDetail = controlElectricityDetail;
    }

    // 楼宇中控 楼宇今日总用电量
    private static String controlTodaySum;
    public static String getControlTodaySum() {
        return ApiUrlConfig.controlApiUrl + controlTodaySum;
    }
    public  void setControlTodaySum(String controlTodaySum) {
        ApiUrlConfig.controlTodaySum = controlTodaySum;
    }

    // 楼宇中控 楼宇每月用电量
    private static String controlMonthSum;
    public static String getControlMonthSum() {
        return ApiUrlConfig.controlApiUrl + controlMonthSum;
    }
    public  void setControlMonthSum(String controlMonthSum) {
        ApiUrlConfig.controlMonthSum = controlMonthSum;
    }

    // 楼宇中控 配电室重要回路负荷情况
    private static String controlImportantSum;
    public static String getControlImportantSum() {
        return ApiUrlConfig.controlApiUrl + controlImportantSum;
    }
    public void setControlImportantSum(String controlImportantSum) {
        ApiUrlConfig.controlImportantSum = controlImportantSum;
    }

    // 楼宇中控 配电室重要回路负荷情况
    private static String controlImportantDetails;
    public static String getControlImportantDetails() {
        return ApiUrlConfig.controlApiUrl + controlImportantDetails;
    }
    public void setControlImportantDetails(String controlImportantDetails) {
        ApiUrlConfig.controlImportantDetails = controlImportantDetails;
    }

    // 楼宇中控 楼宇中当前告警的设备
    private static String controlEquipment;
    public static String getControlEquipment() {
        return ApiUrlConfig.controlApiUrl + controlEquipment;
    }
    public void setControlEquipment(String controlEquipment) {
        ApiUrlConfig.controlEquipment = controlEquipment;
    }

    // 楼宇中控 楼宇中异常点位查看
    private static String controlAlertDetails;
    public static String getControlAlertDetails() {
        return ApiUrlConfig.controlApiUrl + controlAlertDetails;
    }
    public void setControlAlertDetails(String controlAlertDetails) {
        ApiUrlConfig.controlAlertDetails = controlAlertDetails;
    }

    // 楼宇中控 告警事件的历史统计
    private static String controlAlarm;
    public static String getControlAlarm() {
        return ApiUrlConfig.controlApiUrl + controlAlarm;
    }
    public void setControlAlarm(String controlAlarm) {
        ApiUrlConfig.controlAlarm = controlAlarm;
    }

    // 楼宇中控 水箱水位情况
    private static String controlWater;
    public static String getControlWater() {
        return ApiUrlConfig.controlApiUrl + controlWater;
    }
    public void setControlWater(String controlWater) {
        ApiUrlConfig.controlWater = controlWater;
    }

    // 楼宇中控 水箱水位情况
    private static String photovoltaicPower;
    public static String getPhotovoltaicPower() {
        return ApiUrlConfig.controlApiUrl + photovoltaicPower;
    }
    public void setPhotovoltaicPower(String photovoltaicPower) {
        ApiUrlConfig.photovoltaicPower = photovoltaicPower;
    }

    // 楼宇运行监控右半部 接口前缀
    private static String buildPrefix;
    public static String getBuildPrefix() {
        return buildPrefix;
    }
    public void setBuildPrefix(String buildPrefix) {
        ApiUrlConfig.buildPrefix = buildPrefix;
    }

    // 大楼安防监控信息 巡更次数统计(近6月)
    private static String jsonFrequency;
    public static String getJsonFrequency() {
        return ApiUrlConfig.buildPrefix + jsonFrequency;
    }
    public void setJsonFrequency(String jsonFrequency) {
        ApiUrlConfig.jsonFrequency = jsonFrequency;
    }

    // 办公能耗情况接口 近一周电梯能量回收的总值
    private static String controlElevator;
    public static String getControlElevator() {
        return ApiUrlConfig.buildPrefix + controlElevator;
    }
    public void setControlElevator(String controlElevator) {
        ApiUrlConfig.controlElevator = controlElevator;
    }

    // 办公能耗情况接口 年度累计综合能耗
    private static String jsonPatrol;
    public static String getJsonPatrol() {
        return ApiUrlConfig.buildPrefix + jsonPatrol;
    }
    public void setJsonPatrol(String jsonPatrol) {
        ApiUrlConfig.jsonPatrol = jsonPatrol;
    }

    // 办公能耗情况接口 年度综合能耗趋势接口
    private static String jsonPatrolPoint;
    public static String getJsonPatrolPoint() {
        return ApiUrlConfig.buildPrefix + jsonPatrolPoint;
    }
    public void setJsonPatrolPoint(String jsonPatrolPoint) {
        ApiUrlConfig.jsonPatrolPoint = jsonPatrolPoint;
    }

    // 办公能耗情况接口 年度累计电耗接口
    private static String jsonPowerWaterMonth;
    public static String getJsonPowerWaterMonth() {
        return ApiUrlConfig.buildPrefix + jsonPowerWaterMonth;
    }
    public void setJsonPowerWaterMonth(String jsonPowerWaterMonth) {
        ApiUrlConfig.jsonPowerWaterMonth = jsonPowerWaterMonth;
    }

    // 办公能耗情况接口 年度电耗趋势接口
    private static String jsonAir;
    public static String getJsonAir() {
        return ApiUrlConfig.buildPrefix + jsonAir;
    }
    public void setJsonAir(String jsonAir) {
        ApiUrlConfig.jsonAir = jsonAir;
    }

    // 办公能耗情况接口 年度累计水耗接口
    private static String jsonTarget;
    public static String getJsonTarget() {
        return ApiUrlConfig.buildPrefix + jsonTarget;
    }
    public void setJsonTarget(String jsonTarget) {
        ApiUrlConfig.jsonTarget = jsonTarget;
    }

    // 办公能耗情况接口 年度水耗趋势接口
    private static String jsonUseElectricity;
    public static String getJsonUseElectricity() {
        return ApiUrlConfig.buildPrefix + jsonUseElectricity;
    }
    public void setJsonUseElectricity(String jsonUseElectricity) {
        ApiUrlConfig.jsonUseElectricity = jsonUseElectricity;
    }

    // 办公能耗情况接口 年度累计非供暖能耗接口
    private static String jsonGreenElectricity;
    public static String getJsonGreenElectricity() {
        return ApiUrlConfig.buildPrefix + jsonGreenElectricity;
    }
    public void setJsonGreenElectricity(String jsonGreenElectricity) {
        ApiUrlConfig.jsonGreenElectricity = jsonGreenElectricity;
    }

    // 办公能耗情况接口 年度非供暖能耗趋势接口
    private static String jsonCarbon;
    public static String getJsonCarbon() {
        return ApiUrlConfig.buildPrefix + jsonCarbon;
    }
    public void setJsonCarbon(String jsonCarbon) {
        ApiUrlConfig.jsonCarbon = jsonCarbon;
    }

    // 办公能耗情况接口 月用电量信息接口
    private static String jsonEnergyYear;
    public static String getJsonEnergyYear() {
        return ApiUrlConfig.buildPrefix + jsonEnergyYear;
    }
    public void setJsonEnergyYear(String jsonEnergyYear) {
        ApiUrlConfig.jsonEnergyYear = jsonEnergyYear;
    }

    // 办公能耗情况接口 楼宇月用水电热信息接口
    private static String jsonPowerYear;
    public static String getJsonPowerYear() {
        return ApiUrlConfig.buildPrefix + jsonPowerYear;
    }
    public void setJsonPowerYear(String jsonPowerYear) {
        ApiUrlConfig.jsonPowerYear = jsonPowerYear;
    }

    // 办公能耗情况接口 楼宇月用水电热信息接口
    private static String jsonWaterYear;
    public static String getJsonWaterYear() {
        return ApiUrlConfig.buildPrefix + jsonWaterYear;
    }
    public void setJsonWaterYear(String jsonWaterYear) {
        ApiUrlConfig.jsonWaterYear = jsonWaterYear;
    }



    // 公务用车监控 接口前缀
    private static String carPrefix;

    // 公务用车接口 车辆编制情况接口
    private static String jsonEstablishment;

    // 公务用车接口 车辆年度变化情况接口
    private static String jsonCarChange;

    // 公务用车接口 车辆年度增加情况明细接口
    private static String jsonCarIncrease;

    // 公务用车接口 车辆减少增加情况明细接口
    private static String jsonCarReduce;

    // 公务用车接口 车辆类型接口
    private static String jsonCarType;

    // 公务用车接口 企业车辆情况接口
    private static String jsonEnterpriseCar;

    // 公务用车接口 车辆能源类型接口
    private static String jsonCarPowerType;

    // 公务用车接口 车辆派单及里程接口
    private static String jsonCarOrderAndMileage;

    // 公务用车接口 车辆活跃度排名接口
    private static String jsonCarRank;

    // 公务用车接口 车辆终端情况接口
    private static String jsonCarTerminal;

    // 公务用车接口 车辆未归档接口
    private static String jsonCarNotArchived;

    // 公务用车接口 车辆预警接口
    private static String jsonCarWarning;

    // 公务用车接口 车辆未带工单预警明细接口
    private static String jsonCarWarningTickets;

    // 公务用车接口 车辆超速预警明细接口
    private static String jsonCarWarningOverSpeed;

    // 公务用车接口 车辆节假日预警明细接口
    private static String jsonCarWarningHoliday;

    public static String getCarPrefix() {
        return carPrefix;
    }

    public static void setCarPrefix(String carPrefix) {
        ApiUrlConfig.carPrefix = carPrefix;
    }

    public static String getJsonEstablishment() {
        return ApiUrlConfig.carPrefix + jsonEstablishment;
    }

    public static void setJsonEstablishment(String jsonEstablishment) {
        ApiUrlConfig.jsonEstablishment = jsonEstablishment;
    }

    public static String getJsonCarChange() {
        return ApiUrlConfig.carPrefix + jsonCarChange;
    }

    public static void setJsonCarChange(String jsonCarChange) {
        ApiUrlConfig.jsonCarChange = jsonCarChange;
    }

    public static String getJsonCarIncrease() {
        return ApiUrlConfig.carPrefix + jsonCarIncrease;
    }

    public static void setJsonCarIncrease(String jsonCarIncrease) {
        ApiUrlConfig.jsonCarIncrease = jsonCarIncrease;
    }

    public static String getJsonCarReduce() {
        return ApiUrlConfig.carPrefix + jsonCarReduce;
    }

    public static void setJsonCarReduce(String jsonCarReduce) {
        ApiUrlConfig.jsonCarReduce = jsonCarReduce;
    }

    public static String getJsonCarType() {
        return ApiUrlConfig.carPrefix + jsonCarType;
    }

    public static void setJsonCarType(String jsonCarType) {
        ApiUrlConfig.jsonCarType = jsonCarType;
    }

    public static String getJsonEnterpriseCar() {
        return ApiUrlConfig.carPrefix + jsonEnterpriseCar;
    }

    public static void setJsonEnterpriseCar(String jsonEnterpriseCar) {
        ApiUrlConfig.jsonEnterpriseCar = jsonEnterpriseCar;
    }

    public static String getJsonCarPowerType() {
        return ApiUrlConfig.carPrefix + jsonCarPowerType;
    }

    public static void setJsonCarPowerType(String jsonCarPowerType) {
        ApiUrlConfig.jsonCarPowerType = jsonCarPowerType;
    }

    public static String getJsonCarOrderAndMileage() {
        return ApiUrlConfig.carPrefix + jsonCarOrderAndMileage;
    }

    public static void setJsonCarOrderAndMileage(String jsonCarOrderAndMileage) {
        ApiUrlConfig.jsonCarOrderAndMileage = jsonCarOrderAndMileage;
    }

    public static String getJsonCarRank() {
        return ApiUrlConfig.carPrefix + jsonCarRank;
    }

    public static void setJsonCarRank(String jsonCarRank) {
        ApiUrlConfig.jsonCarRank = jsonCarRank;
    }

    public static String getJsonCarTerminal() {
        return ApiUrlConfig.carPrefix + jsonCarTerminal;
    }

    public static void setJsonCarTerminal(String jsonCarTerminal) {
        ApiUrlConfig.jsonCarTerminal = jsonCarTerminal;
    }

    public static String getJsonCarNotArchived() {
        return ApiUrlConfig.carPrefix + jsonCarNotArchived;
    }

    public static void setJsonCarNotArchived(String jsonCarNotArchived) {
        ApiUrlConfig.jsonCarNotArchived = jsonCarNotArchived;
    }

    public static String getJsonCarWarning() {
        return ApiUrlConfig.carPrefix + jsonCarWarning;
    }

    public static void setJsonCarWarning(String jsonCarWarning) {
        ApiUrlConfig.jsonCarWarning = jsonCarWarning;
    }

    public static String getJsonCarWarningTickets() {
        return ApiUrlConfig.carPrefix + jsonCarWarningTickets;
    }

    public static void setJsonCarWarningTickets(String jsonCarWarningTickets) {
        ApiUrlConfig.jsonCarWarningTickets = jsonCarWarningTickets;
    }

    public static String getJsonCarWarningOverSpeed() {
        return ApiUrlConfig.carPrefix + jsonCarWarningOverSpeed;
    }

    public static void setJsonCarWarningOverSpeed(String jsonCarWarningOverSpeed) {
        ApiUrlConfig.jsonCarWarningOverSpeed = jsonCarWarningOverSpeed;
    }

    public static String getJsonCarWarningHoliday() {
        return ApiUrlConfig.carPrefix + jsonCarWarningHoliday;
    }

    public static void setJsonCarWarningHoliday(String jsonCarWarningHoliday) {
        ApiUrlConfig.jsonCarWarningHoliday = jsonCarWarningHoliday;
    }
}
